Package waffle.jaas

## Class RolePrincipal

- java.lang.Object
- - waffle.jaas.RolePrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

    public class RolePrincipal
    extends Object
    implements Principal, Serializable

Role principal.

Author:
  dblock[at]dblock[dot]org
See Also:
  Serialized Form

### Constructor Summary

Constructors
`RolePrincipal​(String newFqn)` A windows principal.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)` Role Principal Equals for FQN.
`String` `getName()` Role name (Windows Group).
`int` `hashCode()` Role Principal HashCode for FQN.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies, toString`

### Constructor Detail

#### RolePrincipal

    public RolePrincipal​(String newFqn)

A windows principal.

Parameters:
  `newFqn` - Fully qualified name.

### Method Detail

#### getName

    public String getName()

Role name (Windows Group).

Specified by:
  `getName` in interface `Principal`
Returns:
  the name

#### equals

    public boolean equals​(Object o)

Role Principal Equals for FQN.

Specified by:
  `equals` in interface `Principal`
Overrides:
  `equals` in class `Object`
Parameters:
  `o` - Object used for Equality Check.
Returns:
  true, if successful

#### hashCode

    public int hashCode()

Role Principal HashCode for FQN.

Specified by:
  `hashCode` in interface `Principal`
Overrides:
  `hashCode` in class `Object`
Returns:
  the int